Subject: Re: [mpls] Stephen Farrell's No Objection on draft-ietf-mpls-rfc6374-udp-return-path-04: (with COMMENT)

From: Stewart Bryant <[email-masked]>
Date: Thu, 7 Apr 2016 15:20:31 +0100

On 05/01/2016 17:01, Stephen Farrell wrote:
> Stephen Farrell has entered the following ballot position for
> draft-ietf-mpls-rfc6374-udp-return-path-04: No Objection
>
> When responding, please keep the subject line intact and reply to all
> email addresses included in the To and CC lines. (Feel free to cut this
> introductory paragraph, however.)
>
>
> Please refer to https://www.ietf.org/iesg/statement/discuss-criteria.html
> for more information about IESG DISCUSS and COMMENT positions.
>
>
> The document, along with other ballot positions, can be found here:
> https://datatracker.ietf.org/doc/draft-ietf-mpls-rfc6374-udp-return-path/
>
>
>
> ----------------------------------------------------------------------
> COMMENT:
> ----------------------------------------------------------------------
>
>
> There were changes that seem to have been agreed as as
> result of the secdir review. [1] Some of those could I
> think nearly but not quite be discuss level, but as they
> aren't and the discussion seems to have started, I'll
> ballot no-objection but I do hope that the promised
> changes get made, and I'd recommend cycling back to the
> secdir reviewer (Sandy Murphy) as it wasn't clear to me
> that the discussion reached closure just before the
> holidays.
>
>     [1]
> https://www.ietf.org/mail-archive/web/secdir/current/msg06296.html
I have added text on the need to check the validity of the IP address
to avoid Dos attacks and some text on default addresses.

>
> - Could this be used as a way to nicely disguise a DoS?
> I'm not sure if that's new to this or not though.

See above
>
> - Thanks for the applicability statement in the security
> considerations. Makes me wonder about MPLS/UDP but sure.
>
> - Saving a single bit to distinguish address families via
> length seems unwise here, as everywhere.

Considering the difficulty of getting IPv6 deployed, I really doubt that
that we will see a new IP family.

- Stewart